Token payroll
Get Wallets From Mesh Connect
Fetches deposit addresses from Mesh Connect for every enabled token/network using the employee's access token.
POSThttps://api.toku.com/hris/get-wallets-from-mesh-connect
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/get-wallets-from-mesh-connect' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"accessToken": "string",
"type": "string"
}'200 response
{
"wallets": [
{
"address": "string",
"networkId": "string",
"networkName": "string",
"symbol": "string",
"tokenName": "string",
"tokenTypeID": "string",
"balance": 0,
"tokenIcon": "string",
"networkIcon": "string"
}
],
"success": true,
"message": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
accessTokenstringrequiredAllowed: 1 to 4096 characters
typestringrequiredAllowed: 1 to 100 characters
Response
200Successful response
walletsobject[]Show child attributes
addressstringrequirednetworkIdstringrequirednetworkNamestringrequiredsymbolstringrequiredtokenNamestringrequiredtokenTypeIDstringrequiredbalancenumbertokenIconstring | nullnetworkIconstring | nullsuccessbooleanrequiredmessagestring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits